import config

VERSION="0.2"

# handle extra verbose input modules, only imported if we need them
_flush_plot = None
_final_flush_plot = None
_pylab = None

def _import_pylab() :
    """Import pylab plotting functions for when we need to plot.  This
    function can be called multiple times, and ensures that the pylab
    setup is only imported once.  It defines the functions
      _flush_plot() to be called after incremental changes,
      _final_flush_plot(), to be called at the end of any graphical processing, and
      _pylab, a reference to the pylab module."""
    global _pylab
    global _flush_plot
    global _final_flush_plot
    if _pylab == None :
        import pylab as _pylab
    if _flush_plot == None :
        if config.PYLAB_INTERACTIVE :
            _flush_plot = _pylab.draw
        else :
            def _flush_plot () : pass
    if _final_flush_plot == None :
        if config.PYLAB_INTERACTIVE :
            _final_flush_plot = _pylab.draw
        else :
            _final_flush_plot = _pylab.show

def write_array(ofile, array, seperator):
    """Erite an iterable array seperated by seperator.
    Terminate the output with an endline."""
    strings = [repr(x) for x in array]
    ofile.write(seperator.join(strings))
    ofile.write('\n')
