"""Define some variables to configure the package for a particular lab
and workflow."""

import z_piezo_utils

DEFAULT_TEMP = 22  # assume 22 deg C
LOG_DATA = True  # quietly grab all real-world data and log to LOG_DIR
LOG_DIR = '/home/wking/rsrch/data/calibrate_cantilever'
GNUFIT_DATA_BASE='./calibrate_cantilever_fitdata'
TEXT_VERBOSE = True      # for debugging
GNUPLOT_VERBOSE = True     # turn on fit check plotting
PYLAB_VERBOSE = True     # turn on plotting
PYLAB_INTERACTIVE = True # select between draw() and show() for flushing plots
BASE_FIGNUM = 20 # to avoid writing to already existing figures

# zpGain      zpiezo applied voltage per output Volt
zpGain = z_piezo_utils._usual_zpGain
# zpSensitivity  nm zpiezo response per applied Volt
zpSensitivity = z_piezo_utils._usual_zpSensitivity
# Vzp_out2V   function that converts output DAC bits to Volts
Vzp_out2V = z_piezo_utils._usual_Vzp_out2V
# Vphoto_in2V function that converts input ADC bits to Volts
Vphoto_in2V = z_piezo_utils._usual_Vphoto_in2V
# zeroVphoto_bits  ADC bit output for a 0V input
zeroVphoto_bits = z_piezo_utils._usual_zeroVphoto_bits
